# Returns a add on from the system by its ID. This method will look up a add on by the specified ID and return it back. Endpoint: GET /addOns/{tenantId}/{id} Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed. - `id` (string, required) The ID of the add on to return. ## Query parameters: - `fields` (string) The fields that you want to retrieve; if omitted, the entire object is returned. - `consistentRead` (string) Indicates the API should force a consistent read on the data source. ## Response 200 fields (application/json): - `allow_multiple` (boolean) If true, a member can purchase more than one of this add on - `custom_field_values` (array) - `custom_field_values.boolean_value` (boolean) The boolean value - `custom_field_values.custom_field_id` (string) The unique identifier of the custom field - `custom_field_values.file_url_value` (string) The pointer to a file value - `custom_field_values.list_value` (array) The list value - `custom_field_values.numeric_value` (number) The numeric value - `custom_field_values.string_value` (string) The string value of the custom field - `custom_field_values.table_value` (array) A list of objects (a table) - `display_order` (number) The display order of the add on - `eligibility_criteria` (object, required) The criteria to use - `eligibility_criteria.advanced_rule_error_message` (string) The error message to show when the advanced rule fails - `eligibility_criteria.advanced_rules` (object) - `eligibility_criteria.age_restrictions` (object) - `eligibility_criteria.age_restrictions.maximum_age` (number) The maximum age of the contact - `eligibility_criteria.age_restrictions.minimum_age` (number) The minimum age of the contact - `eligibility_criteria.award_options` (object) - `eligibility_criteria.award_options.award_ids` (array) - `eligibility_criteria.award_options.award_type_ids` (array) - `eligibility_criteria.award_options.logic_operator` (string) Enum: "and", "not" - `eligibility_criteria.award_recipients` (boolean) If set, only people who have received awards - `eligibility_criteria.by_location` (boolean) If true, then filter by location - `eligibility_criteria.certificants` (boolean) If set, only people with specific certifications - `eligibility_criteria.certification_options` (object) - `eligibility_criteria.certification_options.program_ids` (array) - `eligibility_criteria.committee_member_options` (object) - `eligibility_criteria.committee_member_options.committee_ids` (array) - `eligibility_criteria.committee_member_options.committee_position_ids` (array) - `eligibility_criteria.committee_member_options.committee_type_ids` (array) - `eligibility_criteria.committee_members` (boolean) If set, active members who belong to a committee can purchase - `eligibility_criteria.customer_type` (string) Enum: "contact", "organization" - `eligibility_criteria.donor_options` (object) - `eligibility_criteria.donor_options.donor_club_ids` (array) - `eligibility_criteria.donors` (boolean) If true, only donors - `eligibility_criteria.enable_advanced_rules` (boolean) Enable advanced JSON rules - `eligibility_criteria.enable_age_restrictions` (boolean) Age registrations - `eligibility_criteria.enable_expression` (boolean) Whether or not to enable an expression for evaluation - `eligibility_criteria.enable_organization_restrictions` (boolean) If set, you can restrict organizations - `eligibility_criteria.enable_status_restriction` (boolean) If set, you can restrict by status - `eligibility_criteria.event_registration_options` (object) - `eligibility_criteria.event_registration_options.event_ids` (array) - `eligibility_criteria.event_registration_options.registration_category_ids` (array) - `eligibility_criteria.event_registrations` (boolean) If set, only people who have registered for events - `eligibility_criteria.expression` (string) The expression - `eligibility_criteria.expression_error_message` (string) The error message to show when the expression fails - `eligibility_criteria.location` (object) - `eligibility_criteria.location.countries` (array) Countries - `eligibility_criteria.location.negate_logic` (boolean) If true, the logic in this section is negated; so NOT from these places - `eligibility_criteria.member_options` (object) - `eligibility_criteria.member_options.chapter_member_options` (object) - `eligibility_criteria.member_options.chapter_member_options.chapter_ids` (array) - `eligibility_criteria.member_options.chapter_member_options.chapter_type_ids` (array) - `eligibility_criteria.member_options.chapter_members` (boolean) If set, active members who belong to a chapter can purchase - `eligibility_criteria.member_options.member_package_ids` (array) The member package - `eligibility_criteria.member_options.member_status_reason_ids` (array) - `eligibility_criteria.member_options.member_statuses` (array) Enum: "active", "inactive", "suspended" - `eligibility_criteria.member_options.member_type_ids` (array) The member types - `eligibility_criteria.member_options.section_member_options` (object) - `eligibility_criteria.member_options.section_member_options.section_ids` (array) - `eligibility_criteria.member_options.section_member_options.section_type_ids` (array) - `eligibility_criteria.member_options.section_members` (boolean) If set, active members who belong to a section can purchase - `eligibility_criteria.members` (boolean) If set, active members can purchase this - `eligibility_criteria.non_members` (boolean) If set, only nonmembers can purchase - `eligibility_criteria.organization_restrictions` (object) - `eligibility_criteria.organization_restrictions.contact_role_ids` (array) - `eligibility_criteria.organization_restrictions.organization_type_ids` (array) - `eligibility_criteria.status_restrictions` (array) The statuses - `eligibility_criteria.use_organization_for_eligibility` (boolean) If checked, a person's organization is used to check for eligibility, rather than the person themselves - `enable_dues` (boolean) If set, this add on should cost money - `enable_eligibility` (boolean) If set, then only certain individual are eligible for this add on - `hide_from_portal` (boolean) Hide this add on from the portal - `id` (string, required) The unique, string identifier of this add on - `is_active` (boolean) Whether or not this add on is active - `name` (string, required) The name of the add on - `portal_description` (string) Description of the add on to be displayed in the portal - `sys_bulk_load_at` (string) If this record was loaded via bulk, the timestamp when the record was processed - `sys_bulk_load_id` (string) If this record was loaded via bulk, the ID of the bulk load process - `sys_bulk_load_pk` (string) If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key - `sys_bulk_load_record_no` (number) If this record was loaded via bulk, the record number in the source file - `sys_bulk_load_source_file` (string) If this record was loaded via bulk, the source file - `sys_calculated_field_error` (string) The error associated with the calculated field - `sys_calculated_field_errors` (array) - `sys_calculated_field_errors.error` (string) - `sys_calculated_field_errors.field` (string) - `sys_configuration_snapshot_id` (string) If a snapshot was restored/applies to this record, the ID of the snapshot - `sys_created_at` (string, required) The date/time that this record was created, expressed in ISO-8601 date format - `sys_created_by_id` (string, required) The ID of the user that created this record - `sys_deleted_by_id` (string) The ID of the user that deleted (or last tried to delete) this object - `sys_directive` (string) Means for passing directive information into an object processing logic - `sys_external_id` (string) The ID that a record has from an external system or data import - `sys_has_files_in_s3` (boolean) If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion - `sys_last_bulk_data_operation_id` (string) If this record was last touched by a bulk data operation, the ID of that operation - `sys_last_bulk_data_operation_sys_version` (string) If this record was last touched by a bulk data operation, the sys_version at the time of that operation - `sys_last_modified_at` (string, required) The date/time that this record record was last modified, expressed in ISO-8601 date format - `sys_last_modified_by_id` (string, required) The ID of the user that last modified this record - `sys_last_security_context` (object) The security context of the last insert, modify, or delete performed on this item - `sys_locked` (boolean) If set, this record is locked and cannot be changed via the API - `sys_snapshot_base_version` (number) The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox - `sys_version` (number) A number representing the version of this record in the database - `type_id` (string) The type of add on ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 429 fields ## Response 500 fields